For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Webhooks

Get Webhooks

get

Gets webhooks.

Query parameters
eventstringOptional
extendedbooleanOptionalDefault: false
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default

default response

application/json

External Hook Event

idinteger · int32Read-onlyOptional
app_idinteger · int32Read-onlyOptional
eventstring · enumRequired

The event being triggered

Possible values:
remote_endpointstringRequired

Remote endpoint the webhook posts against.

statusstring · enumOptional

Status of the webhook

Possible values:
date_createdstring · date-timeRead-onlyOptional

Date of creation

date_last_modifiedstring · date-timeRead-onlyOptional

Date of last update

events_countinteger · int64Read-onlyOptional

7 day event count

failure_ratenumber · doubleRead-onlyOptional

7 day failure rate

temp_disable_msinteger · int64Read-onlyOptional

Temporary disable milliseconds

get/events/webhooks
GET /v1/events/webhooks HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
default

default response

[
  {
    "id": 1,
    "app_id": 1,
    "event": "ORDER_UPDATED",
    "remote_endpoint": "text",
    "status": "INACTIVE",
    "date_created": "2026-01-01T00:00:00.000Z",
    "date_last_modified": "2026-01-01T00:00:00.000Z",
    "events_count": 1,
    "failure_rate": 1,
    "temp_disable_ms": 1
  }
]

Last updated

Was this helpful?